View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17432Bug reportsOtherpublic2021-07-30 12:05
Reporterfrancisakabo Assigned Togabrieljenik  
PrioritylowSeverityminor 
Status reviewResolutionfixed 
Product Version3.25.20 
Summary17432: Group randomization shuffles only questions from first group
DescriptionWhen the "All in one" format is selected, only questions from first group get shuffled.

When "Show Question Number" option is selected, it randomizes question numbers including numbers from the second group but still mapped to the only shuffled questions from the first group.
Steps To Reproduce1. Create two question groups
2. Group 2 should have relevance equation of 0
3. Create 3 questions in the first group and 5 questions in the second group.
4. Under each question option, set a Randomization group name
5. To see the effect of the shuffle from only the first group, add question numbers to each question text.
6. Preview survey.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)LimeSurvey Community Edition Version 3.27.6+210629
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMariaDB-10.0.38
Server OS (if known)Ubuntu 16.04.1
Webserver software & version (if known)NGINX
PHP Version7.3.27

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

francisakabo

francisakabo

2021-07-13 13:54

reporter  

DenisChenu

DenisChenu

2021-07-13 14:07

developer   ~65422

Thank you !
Forum post : https://forums.limesurvey.org/forum/can-i-do-this-with-limesurvey/124936-how-to-pick-random-questions-from-a-bucket#218097
(and lss)
gabrieljenik

gabrieljenik

2021-07-28 14:49

manager   ~65676

https://github.com/LimeSurvey/LimeSurvey/pull/1987
This requires heavy testing

Reviewed how questions are filtered towards including them in the output screen
gabrieljenik

gabrieljenik

2021-07-30 12:05

manager   ~65757

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32421

Related Changesets

LimeSurvey: 3.x-LTS a927f3f7

2021-07-30 12:05:17

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17432: Group randomization shuffles only questions from first group (#1987)

Fixed issue 17432: Group randomization shuffles only questions from first group
Affected Issues
17432
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2021-07-13 13:54 francisakabo New Issue
2021-07-13 13:54 francisakabo File Added: randomQuestionsWithWrongQuestionNumbers.png
2021-07-13 14:07 DenisChenu Note Added: 65422
2021-07-14 09:17 galads Assigned To => galads
2021-07-14 09:17 galads Status new => confirmed
2021-07-16 15:54 galads Description Updated View Revisions
2021-07-16 15:54 galads Steps to Reproduce Updated View Revisions
2021-07-16 15:54 galads Sync to Zoho Project => |Yes|
2021-07-19 16:58 galads Assigned To galads => gabrieljenik
2021-07-19 16:58 galads Priority none => low
2021-07-19 16:58 galads Sync to Zoho Project Yes => |Yes|
2021-07-28 14:49 gabrieljenik Status confirmed => review
2021-07-28 14:49 gabrieljenik Note Added: 65676
2021-07-30 12:05 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS a927f3f7
2021-07-30 12:05 gabrieljenik Note Added: 65757
2021-07-30 12:05 gabrieljenik Resolution open => fixed